CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

WindowLeft Property (ActiveX)

2023-1-3 01:08| 发布者: admin| 查看: 242| 评论: 0|来自: AutoCAD

摘要: 指定应用程序窗口的左边缘。

指定应用程序窗口的左边缘。

支持的平台:仅窗口

签名

工 务 局:

object.WindowLeft
对象

类型:应用

此属性适用的对象。

属性值

只读:

类型:整数

应用程序窗口的左边缘。

言论

应用程序的左边缘由主应用程序窗口的左边缘与屏幕的左边缘之间的距离表示。

此距离将建立应用程序左上角的X坐标。请注意,原点 (0, 0) 是左上角。

例子

工 务 局:

Sub Example_WindowLeft()
    ' This example finds the WindowLeft (X coordinate) of the top of the
    ' AutoCAD window. It then changes that position to be 100 more
    ' than it currently is. Finally, it resets the window to the
    ' original value.
    
    ' Find the current value of the WindowLeft property
    Dim currWindowLeft As Integer
    currWindowLeft = ThisDrawing.Application.WindowLeft
    MsgBox "The current value of WindowLeft is " & ThisDrawing.Application.WindowLeft, , "WindowLeft Example"
    
    ' Change the value of WindowLeft
    ThisDrawing.Application.WindowLeft = currWindowLeft + 100
    MsgBox "The new value of WindowLeft is " & ThisDrawing.Application.WindowLeft, , "WindowLeft Example"
    
    ' Reset the value of WindowLeft
    ThisDrawing.Application.WindowLeft = currWindowLeft
    MsgBox "The value of WindowLeft has been reset to " & ThisDrawing.Application.WindowLeft, , "WindowLeft Example"
    
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_WindowLeft()
    ;; This example finds the WindowLeft (X coordinate) of the top of the
    ;; AutoCAD window. It then changes that position to be 100 more
    ;; than it currently is. Finally, it resets the window to the
    ;; original value.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))

    ;; Find the current value of the WindowLeft property
    (setq currWindowLeft (vla-get-WindowLeft acadObj))
    (alert (strcat "The current value of WindowLeft is " (itoa currWindowLeft)))
    
    ;; Change the value of WindowLeft
    (vla-put-WindowLeft acadObj (+ currWindowLeft 100))
    (alert (strcat "The new value of WindowLeft is " (itoa (vla-get-WindowLeft acadObj))))
    
    ;; Reset the value of WindowLeft
    (vla-put-WindowLeft acadObj currWindowLeft)
    (alert (strcat "The value of WindowLeft has been reset to " (itoa (vla-get-WindowLeft acadObj))))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-28 02:03

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部